Log2ScaleEngine Class Reference

`#include <Log2ScaleEngine.h>`

Inheritance diagram for Log2ScaleEngine:

## Public Member Functions

virtual void | autoScale (int maxSteps, double &x1, double &x2, double &stepSize) const
virtual QwtScaleDiv | divideScale (double x1, double x2, int numMajorSteps, int numMinorSteps, double stepSize=0.0) const
| Calculate a scale division. More...
virtual QwtScaleTransformation * | transformation () const

## Protected Member Functions

QwtDoubleInterval | log2 (const QwtDoubleInterval &) const

## Private Member Functions

QwtDoubleInterval | align (const QwtDoubleInterval &, double stepSize) const
| Align an interval to a step size. More...
QwtValueList | buildMajorTicks (const QwtDoubleInterval &interval, double stepSize) const
QwtValueList | buildMinorTicks (const QwtValueList &majorTicks, int maxMinMark, double step) const
void | buildTicks (const QwtDoubleInterval &, double stepSize, int maxMinSteps, QwtValueList ticks[QwtScaleDiv::NTickTypes]) const

## Member Function Documentation

QwtDoubleInterval Log2ScaleEngine::align | ( | const QwtDoubleInterval & | interval,
|  | double | stepSize
| ) |  | const

private

Align an interval to a step size.

The limits of an interval are aligned that both are integer multiples of the step size.

Parameters

  interval | Interval
  stepSize | Step size

Returns
  Aligned interval

References log2().

Referenced by autoScale(), and buildTicks().

void Log2ScaleEngine::autoScale | ( | int | maxNumSteps,
|  | double & | x1,
|  | double & | x2,
|  | double & | stepSize
| ) |  | const

virtual

Align and divide an interval

Parameters

  maxNumSteps | Max. number of steps
  x1 | First limit of the interval (In/Out)
  x2 | Second limit of the interval (In/Out)
  stepSize | Step size (Out)

References align(), and log2().

QwtValueList Log2ScaleEngine::buildMajorTicks | ( | const QwtDoubleInterval & | interval,
|  | double | stepSize
| ) |  | const

private

References log2().

Referenced by buildTicks().

QwtValueList Log2ScaleEngine::buildMinorTicks | ( | const QwtValueList & | majorTicks,
|  | int | maxMinMark,
|  | double | step
| ) |  | const

private

Referenced by buildTicks().

void Log2ScaleEngine::buildTicks | ( | const QwtDoubleInterval & | interval,
|  | double | stepSize,
|  | int | maxMinSteps,
|  | QwtValueList | ticks[QwtScaleDiv::NTickTypes]
| ) |  | const

private

References align(), buildMajorTicks(), and buildMinorTicks().

Referenced by divideScale().

QwtScaleDiv Log2ScaleEngine::divideScale | ( | double | x1,
|  | double | x2,
|  | int | maxMajSteps,
|  | int | maxMinSteps,
|  | double | stepSize = `0.0`
| ) |  | const

virtual

Calculate a scale division.

Parameters

  x1 | First interval limit
  x2 | Second interval limit
  maxMajSteps | Maximum for the number of major steps
  maxMinSteps | Maximum number of minor steps
  stepSize | Step size. If stepSize == 0, the scaleEngine calculates one.

References buildTicks(), and log2().

QwtDoubleInterval Log2ScaleEngine::log2 | ( | const QwtDoubleInterval & | interval | ) | const

protected

Return the interval [log2(interval.minValue(), log2(interval.maxValue]

Referenced by align(), autoScale(), buildMajorTicks(), and divideScale().

QwtScaleTransformation * Log2ScaleEngine::transformation | ( |  | ) | const

virtual

Return a dummy transformation

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/Log2ScaleEngine.h
- qtiplot/src/plot2D/Log2ScaleEngine.cpp